## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCBaseLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader

Direct Known Subclasses:
  JDBCCatalogLoader, JDBCRoutineColumnLoader, JDBCRoutineLoader, JDBCSchemaLoader, JDBCTableColumnLoader, JDBCTableConstraintLoader, JDBCTableIndexLoader, JDBCTableLoader, JDBCTableSuperTableLoader, JDBCUDTAttributeLoader, JDBCUDTSuperTypeLoader, JDBCUserDefinedTypeLoader

public class JDBCBaseLoader
extends java.lang.Object

Base object for catalog loader helpers. This object provides basic services and containment used by the generic catalog loaders. A provides functionality for loading particular information for the object being loaded. For example, JDBCTableLoader loads the table objects contained within a specified Schema object.

Since:
  1.0

Constructor Summary
`JDBCBaseLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)` Constructor for the base loader class.

Method Summary
`ICatalogObject` `getCatalogObject()`
`void` `setCatalogObject(ICatalogObject catalogObject)` Set the base catalog object for the loader Necessary to support the zero arg constructor

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCBaseLoader

    public JDBCBaseLoader(ICatalogObject catalogObject,
                          IConnectionFilterProvider connectionFilterProvider)

  Constructor for the base loader class.

Parameters:
  `catalogObject` - the catalog object to which this loader applies.
  `connectionFilterProvider` - the connection filter provider for this loader

Method Detail

### getCatalogObject

    public ICatalogObject getCatalogObject()

  Returns:
    the catalog object to which this loader applies.

### setCatalogObject

    public void setCatalogObject(ICatalogObject catalogObject)

  Set the base catalog object for the loader Necessary to support the zero arg constructor

  Parameters:
    `catalogObject` -

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.